import sys
import os
import optparse

try:
    import Image
except ImportError:
    print "Could not import the Image module. Please ensure that the Python Imaging"
    print "Library (PIL) is properly installed."

    sys.exit(-1)

    
op = optparse.OptionParser()
op.add_option("-q", "--quality", dest="quality", action="store", type="int", default="90",
              help="The quality of the created JPG images.")
    
options, args = op.parse_args()

pngs = [ ]

for dir, dirs, files in os.walk("."):

    for fn in files:
        ffn = dir + "/" + fn

        if not ffn.lower().endswith(".png"):
            continue

        print ffn
        
        orig = Image.open(ffn)
        orig.load()
        
        bands = orig.split()
        if len(bands) != 4:
            continue

        r, g, b, a = bands

        rgb = orig.convert("RGB")
        rgb.save(ffn + ".base.jpg", quality=options.quality)
        a.save(ffn + ".mask.jpg", quality=options.quality)

        pngs.append(ffn)

for ffn in pngs:
    os.rename(ffn, ffn + ".bak")
        
        
rpycode = """\
init python hide:

    def missing_image_callback(s):

        if not renpy.loadable(s + ".base.jpg"):
            return None

        if not renpy.loadable(s + ".mask.jpg"):
            return None

        return im.AlphaMask(im.Image(s + ".base.jpg", cache=False),
                            im.Image(s + ".mask.jpg", cache=False))

    config.missing_image_callback = missing_image_callback
"""

f = file("jcc.rpy", "w")
f.write(rpycode)
f.close()
